import txt_read_IMP

#################### READ.
def read_txt(name, mp_trace, angle):
  return txt_read_IMP.read_txt(name, mp_trace, angle)

#################### RASTER LINES + SIDES.
def create_line(sid, p, q, rbit, group, mp):
  return txt_read_IMP.create_line(sid, p, q, rbit, group, mp)

def add_side(R1, R2, rasterLink0, rasterLink1):
  txt_read_IMP.add_side(R1, R2, rasterLink0, rasterLink1)

def create_raster_link(link, p0, q0, p1, q1, mp):
  return txt_read_IMP.create_raster_link(link, p0, q0, p1, q1, mp)

#################### SPLIT + LIMIT.
def split_block(R, groupMax):
  return txt_read_IMP.split_block(R, groupMax)

def limit_block(R, groupMax, maxLimit, S):
  return txt_read_IMP.limit_block(R, groupMax, maxLimit, S)

def delete_rasterLink(R):
  txt_read_IMP.delete_rasterLink(R)

#################### BLOCKS + CONTACTS.
def create_contact(S, R, BS, mp_trace, mp_jump):
  return txt_read_IMP.create_contact(S, R, BS, mp_trace, mp_jump)
  
def create_blocks(R, S, CTRS, group_max, mp_trace, mp_jump, angle):
  return txt_read_IMP.create_blocks(R, S, CTRS, group_max, mp_trace, mp_jump, angle)